var path = require("path")
var webpack = require("webpack")
module.exports = {
    entry: './src/index.js',
    output: {
        filename: 'index.js',
        library:'plm-extend',
        libraryTarget:'umd'
    },
    module: {
        loaders: [{
            test: /\.js$/,
            exclude: /node_modules|vendor|bootstrap/,
            loader: 'babel-loader?presets[]=es2015'
        }]
    },
    plugins: [
        new webpack.optimize.UglifyJsPlugin({
            compress: {
                warnings: false
            }
        })
    ]
};