const { utils, view } = require('plm-base');
module.exports = function(p,click){
    var current = p.current_page;
    var total = p.last_page;
    var extend = p.extend;
    return view().div({className:'btn-toolbar pull-right'},function(){
        if(typeof extend == 'object') this.div({className:'btn-group'},function(){
            utils.loop(extend,function(v){
                this.button({disabled:true},v,'btn btn-sm btn-default');
            },this)
        });
        if(total>1) this.div({className:'btn-group'},function(){
            if(current > 5) this.button(function(){
                click(1);
            },'首页','btn btn-sm btn-default').button({disabled:true},'...','btn btn-sm btn-default');
            utils.loop(total,function(p){
                var page = p+1;
                if(page-current<5 && current-page<5) this.button(page == current?{className:'btn btn-sm btn-primary',disabled:true}:{onclick:function(){
                    if(page != current) click(page);
                },className:'btn btn-sm btn-default'},page);
            },this);
            if(current < total-4) this.button({disabled:true},'...','btn btn-sm btn-default').button(function(){
                click(total);
            },'尾页','btn btn-sm btn-default');
        })
        if(total>5) this.div({className:'input-group input-group-sm',style:{width:((total+'').length*20+80)+'px',margin:'2px'}},function(){
            this.add('span',{className:'input-group-addon',innerText:'第'})
            .add('input',{className:'form-control',style:{textAlign:'center'},value:current,onchange:function(){
                var go = this.value*1
                if(go && go!=current && go>=1 && go<=total){
                    click(go);
                }else{
                    this.value = current;
                }
            }}).add('span',{className:'input-group-addon',innerText:'页'})
        })
        if(total>1) this.div({className:'btn-group'},function(){
            this.button({innerText:'共'+total+'页',className:'btn btn-sm btn-default',disabled:true});
        });
    });
};